# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/ti,icss-iep.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Texas Instruments ICSS Industrial Ethernet Peripheral (IEP) module

maintainers:
  - Md Danish Anwar <danishanwar@ti.com>

properties:
  compatible:
    oneOf:
      - items:
          - enum:
              - ti,am642-icss-iep
              - ti,j721e-icss-iep
          - const: ti,am654-icss-iep

      - const: ti,am654-icss-iep


  reg:
    maxItems: 1

  clocks:
    maxItems: 1
    description: phandle to the IEP source clock

required:
  - compatible
  - reg
  - clocks

additionalProperties: false

examples:
  - |
    /* AM65x */
    icssg0_iep0: iep@2e000 {
        compatible = "ti,am654-icss-iep";
        reg = <0x2e000 0x1000>;
        clocks = <&icssg0_iepclk_mux>;
    };
